<template>
  <div class="mod-config">
    <basic-container>
      <div class="avue-crud">
        <el-table
          :data="dataList"
          border
          class="source-table-calss"
          style="width: 100%"
        >
          <el-table-column
            prop="factoryName"
            header-align="center"
            align="center"
            label="工厂"
          >
          </el-table-column>
          <el-table-column
            prop="moNo"
            header-align="center"
            align="center"
            label="制造订单号"
          >
          </el-table-column>
          <el-table-column
            prop="partNo"
            header-align="center"
            align="center"
            label="零件号"
          >
          </el-table-column>
          <el-table-column
            prop="partName"
            header-align="center"
            align="center"
            label="零件名称"
          >
          </el-table-column>
          <el-table-column
            prop="unit"
            header-align="center"
            align="center"
            label="零件单位"
          >
          </el-table-column>
          <el-table-column
            prop="qtyRequired"
            header-align="center"
            align="center"
            label="需求数量"
          >
          </el-table-column>
          <el-table-column
            prop="quantityCompletion"
            header-align="center"
            align="center"
            label="完成数量"
          >
          </el-table-column>
          <el-table-column
            prop="quantitySupply"
            header-align="center"
            align="center"
            label="供应数量"
          >
          </el-table-column>
          <el-table-column
            prop="requiredDate"
            header-align="center"
            align="center"
            label="需求日期"
          >
          </el-table-column>
          <el-table-column
            prop="state"
            header-align="center"
            align="center"
            label="状态"
            :formatter="stateFormatter"
          >
          </el-table-column>
          <el-table-column
            prop="remark"
            header-align="center"
            align="center"
            label="备注"
          >
          </el-table-column>
          <el-table-column
            prop="createTime"
            header-align="center"
            align="center"
            label="创建时间"
          >
          </el-table-column>
          <el-table-column
            prop="updateTime"
            header-align="center"
            align="center"
            label="更新时间"
          >
          </el-table-column>
          <el-table-column
            prop="createUser"
            header-align="center"
            align="center"
            label="创建人"
          >
          </el-table-column>
          <el-table-column
            prop="updateUser"
            header-align="center"
            align="center"
            label="更新人"
          >
          </el-table-column>
        </el-table>
      </div>
    </basic-container>
  </div>
</template>

<script>
import { mapGetters } from 'vuex'
import { getOperationSupplyById } from '../../../api/plan/operationtask'
export default {
  props: {
    operationId: {
      type: Number,
      default: 0
    }
  },
  data() {
    return {
      visible: false,
      dataForm: {
        key: ''
      },
      dataList: [],
      pageIndex: 1,
      pageSize: 10,
      totalPage: 0,
      dataListLoading: false,
      addOrUpdateVisible: false
    }
  },
  computed: {
    ...mapGetters(['permissions'])
  },
  watch: {
    operationId: {
      handler(newValue, oldValue) {
        this.getDataList(newValue)
      },
      immediate: true
    }
  },
  methods: {
    // 获取数据列表
    getDataList(id) {
      this.visible = true
      this.$nextTick(() => {
        getOperationSupplyById(id).then((response) => {
          this.dataList = response.data.data
        })
      })
    },
    // 状态格式化
    stateFormatter(row, column) {
      if (row.state == '01planned') {
        return '已计划'
      } else if (row.state == '02issued') {
        return '已下达'
      } else if (row.state == '03completed') {
        return '已完成'
      } else {
        return '已取消'
      }
    }
  }
}
</script>
<style>
.source-table-calss .el-table__body-wrapper {
  height: auto;
}
</style>
